<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

if ( !function_exists( 'chld_thm_cfg_locale_css' ) ):
    function chld_thm_cfg_locale_css( $uri ){
        if ( empty( $uri ) && is_rtl() && file_exists( get_template_directory() . '/rtl.css' ) )
            $uri = get_template_directory_uri() . '/rtl.css';
        return $uri;
    }
endif;
add_filter( 'locale_stylesheet_uri', 'chld_thm_cfg_locale_css' );
         
if ( !function_exists( 'child_theme_configurator_css' ) ):
    function child_theme_configurator_css() {
        wp_enqueue_style( 'chld_thm_cfg_child', trailingslashit( get_stylesheet_directory_uri() ) . 'style.css', array( 'kadence-global','kadence-header','kadence-content','kadence-footer' ) );
    }
endif;
add_action( 'wp_enqueue_scripts', 'child_theme_configurator_css', 10 );

// END ENQUEUE PARENT ACTION

/*
Anpassungen für SBR-Theme 3
Stand: 14.02.2025
*/

// Child-Theme style.css nach dem Parent-Theme style.css laden
function sbr_enqueue_styles() {
wp_enqueue_style( 'child-main', get_stylesheet_directory_uri
()."/style.css" );
}
add_action( 'wp_enqueue_scripts', 'sbr_enqueue_styles',999);
//////////////////////////////////////////////////////////////////////////////////////////
/* Externe HTML-Seite einfügen
Shortcode [wpiec]URL[/wpiec] in Seite/Beitrag einfügen
*/
function wpiec_shortcode($atts = array(), $content = null)
{
    $content = file_get_contents($content);
    return $content;
}
add_shortcode('wpiec', 'wpiec_shortcode');
//////////////////////////////////////////////////////////////////////////////////////////
// Allow SVG usage in WordPress
function bloggerpilot_cc_mime_types($mimes) {
    $mimes['svg'] = 'image/svg+xml';
    return $mimes;
}
add_filter('upload_mimes', 'bloggerpilot_cc_mime_types');
//////////////////////////////////////////////////////////////////////////////////////////
/**
 * Disable the emoji's
 */
function disable_emojis() {
 remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
 remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
 remove_action( 'wp_print_styles', 'print_emoji_styles' );
 remove_action( 'admin_print_styles', 'print_emoji_styles' );
 remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
 remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
 remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
 add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
 add_filter( 'wp_resource_hints', 'disable_emojis_remove_dns_prefetch', 10, 2 );
}
add_action( 'init', 'disable_emojis' );

/**
 * Filter function used to remove the tinymce emoji plugin.
 *
 * @param array $plugins
 * @return array Difference betwen the two arrays
 */
function disable_emojis_tinymce( $plugins ) {
 if ( is_array( $plugins ) ) {
 return array_diff( $plugins, array( 'wpemoji' ) );
 } else {
 return array();
 }
}

/**
 * Remove emoji CDN hostname from DNS prefetching hints.
 *
 * @param array $urls URLs to print for resource hints.
 * @param string $relation_type The relation type the URLs are printed for.
 * @return array Difference betwen the two arrays.
 */
function disable_emojis_remove_dns_prefetch( $urls, $relation_type ) {
 if ( 'dns-prefetch' == $relation_type ) {
 /** This filter is documented in wp-includes/formatting.php */
 $emoji_svg_url = apply_filters( 'emoji_svg_url', 'https://s.w.org/images/core/emoji/2/svg/' );

$urls = array_diff( $urls, array( $emoji_svg_url ) );
 }

return $urls;
}
//////////////////////////////////////////////////////////////////////////////////////////
// Übersetzung Privacy Police Gwolle
if (!function_exists('is_plugin_active')) {
require_once ABSPATH . '/wp-admin/includes/plugin.php';
}
if (is_plugin_active('gwolle-gb/gwolle-gb.php')) {
// Aktion nur ausführen, wenn Plugin Gwolle aktiv ist!
add_filter( 'gettext', function( $text ) {
    if ( 'I accept the %1$sPrivacy Policy%2$s' === $text ) {
            $text = 'Ich stimme der Speicherung und Verarbeitung meiner Daten nach der DSGVO zu und akzeptiere die Datenschutzbedingungen.';
    }
    return $text;
} );
}
//////////////////////////////////////////////////////////////////////////////////////////
// Meldung Object Cache ausblenden
add_filter('site_status_should_suggest_persistent_object_cache', '__return_false');
//////////////////////////////////////////////////////////////////////////////////////////
// Happyforms Zustimmmung zur DSGVO
// Credits/Special thanks: Ignazio Setti https://thethemefoundry.com/ 
if (!function_exists('is_plugin_active')) {
require_once ABSPATH . '/wp-admin/includes/plugin.php';
}
if (is_plugin_active('happyforms/happyforms.php')) {
// Aktion nur ausführen, wenn Plugin Happyforms aktiv ist!
add_shortcode( 'happyforms_link', function( $atts, $content = '' ) {
    $atts = shortcode_atts( array( 'href' => '#' ), $atts );
    $atts['href'] = str_replace( '&quot;', '', $atts['href'] );
    $link = "<a href=\"{$atts['href']}\" target=\"_blank\">{$content}</a>";

    return $link;
}, 10, 2 );

add_action( 'happyforms_part_before', function( $part ) {
    if ( 'checkbox' !== $part['type'] ) {
        return;
    }

    ob_start();
} );

add_action( 'happyforms_part_after', function( $part ) {
    if ( 'checkbox' !== $part['type'] ) {
        return;
    }
    
    echo do_shortcode( ob_get_clean() );
} );
}